<template>
    <bar-chart :chart_data="chart_data" :options="options"/>
</template>

<script>
    import _ from "lodash";
    import BarChart from "../charts/BarChart";

    export default {
		name: "UsersRegistrationsChart",
        props: ['users'],
        data(){
            return {
                options: {
                    grid: {
                        left: 0,
                        top: 10,
                        width: '98%',
                    },
                    xAxis: {
                        axisLabel: {
                            formatter: (value) => {
                                return value;
                            },
                        }
                    }
                }
            }
        },
        computed: {
            chart_data(){
                return _.map(this.users, (value, key) => {
                    return [key, value];
                });
            }
        },
        components: {
            BarChart
        }
	}
</script>

<style scoped>
.echarts{
    height: 200px;
}
</style>
